Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv30_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv30_routines.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv30_routines.F90	(revision 5117)
@@ -191,5 +191,5 @@
   REAL ph(len, nd+1)
 #ifdef ISO
-  real xt(ntraciso,len,nd)      
+  REAL xt(ntraciso,len,nd)
 #endif
 
@@ -198,5 +198,5 @@
   REAL tnk(len), qnk(len), gznk(len), plcl(len)
 #ifdef ISO
-  real xtnk(ntraciso,len)      
+  REAL xtnk(ntraciso,len)
 #endif
 
@@ -204,5 +204,5 @@
   INTEGER i, k
 #ifdef ISO
-        integer ixt
+        INTEGER ixt
 #endif
   INTEGER ihmin(len)
@@ -225,5 +225,5 @@
   ! @       do 200 k=2,nlp
   ! @         do 190 i=1,len
-  ! @          if((hm(i,k).lt.work(i)).and.
+  ! @          if((hm(i,k).lt.work(i)).AND.
   ! @      &      (hm(i,k).lt.hm(i,k-1)))THEN
   ! @            work(i)=hm(i,k)
@@ -250,5 +250,5 @@
   ! @       do 240 k=minorig+1,nl
   ! @         do 230 i=1,len
-  ! @          if((hm(i,k).gt.work(i)).and.(k.le.ihmin(i)))THEN
+  ! @          if((hm(i,k).gt.work(i)).AND.(k.le.ihmin(i)))THEN
   ! @            work(i)=hm(i,k)
   ! @            nk(i)=k
@@ -270,5 +270,5 @@
   ! -------------------------------------------------------------------
   DO i = 1, len
-    IF (((t(i,nk(i))<250.0) .OR. (q(i,nk(i))<=0.0)) & ! @      &       .or.(
+    IF (((t(i,nk(i))<250.0) .OR. (q(i,nk(i))<=0.0)) & ! @      &       .OR.(
                                                       ! p(i,ihmin(i)).lt.400.0
                                                       ! )  )
@@ -320,5 +320,5 @@
   ! @      do 290 k=minorig,nl
   ! @        do 280 i=1,len
-  ! @          if((k.ge.(nk(i)+1)).and.(p(i,k).lt.plcl(i)))
+  ! @          if((k.ge.(nk(i)+1)).AND.(p(i,k).lt.plcl(i)))
   ! @     &    icb(i)=min(icb(i),k)
   ! @ 280    continue
@@ -326,5 +326,5 @@
   ! @c
   ! @      do 300 i=1,len
-  ! @        if((icb(i).ge.nlm).and.(iflag(i).eq.0))iflag(i)=9
+  ! @        if((icb(i).ge.nlm).AND.(iflag(i).EQ.0))iflag(i)=9
   ! @ 300  continue
 
@@ -343,5 +343,5 @@
 
   DO i = 1, len
-    ! @        if((icb(i).ge.nlm).and.(iflag(i).eq.0))iflag(i)=9
+    ! @        if((icb(i).ge.nlm).AND.(iflag(i).EQ.0))iflag(i)=9
     IF ((icb(i)==nlm) .AND. (iflag(i)==0)) iflag(i) = 9
   END DO
@@ -377,9 +377,9 @@
 USE isotopes_routines_mod, ONLY: condiso_liq_ice_vectall_trac
 #ifdef ISOVERIF
-    use isotopes_verif_mod, ONLY: iso_verif_traceur
-#endif
-#endif
-#ifdef ISOVERIF
-    use isotopes_verif_mod, ONLY: errmax,errmaxrel,Tmin_verif, &
+    USE isotopes_verif_mod, ONLY: iso_verif_traceur
+#endif
+#endif
+#ifdef ISOVERIF
+    USE isotopes_verif_mod, ONLY: errmax,errmaxrel,Tmin_verif, &
         iso_verif_egalite_choix, iso_verif_noNaN,iso_verif_aberrant, &
         iso_verif_egalite,iso_verif_egalite_choix_nostop,iso_verif_positif_nostop, &
@@ -414,5 +414,5 @@
   REAL plcl(len) ! convect3
 #ifdef ISO
-      real xt(ntraciso,len,nd)
+      REAL xt(ntraciso,len,nd)
 #endif
 
@@ -420,6 +420,6 @@
   REAL tp(len, nd), tvp(len, nd), clw(len, nd)
 #ifdef ISO
-      real xtclw(ntraciso,len,nd) 
-      real tg_save(len,nd) 
+      REAL xtclw(ntraciso,len,nd)
+      REAL tg_save(len,nd)
 #endif
 
@@ -433,7 +433,7 @@
   REAL cpinv(len) ! convect3
 #ifdef ISO
-      integer ixt
-      real zfice(len),zxtliq(ntraciso,len),zxtice(ntraciso,len)
-      real q_k(len),clw_k(len),tg_k(len),xt_k(ntraciso,len)
+      INTEGER ixt
+      REAL zfice(len),zxtliq(ntraciso,len),zxtice(ntraciso,len)
+      REAL q_k(len),clw_k(len),tg_k(len),xt_k(ntraciso,len)
 !#ifdef ISOVERIF      
 !      integer iso_verif_positif_nostop
@@ -618,7 +618,7 @@
               'cv30_routines 654')
         enddo
-        if (iso_HDO.gt.0) THEN
+        IF (iso_HDO.gt.0) THEN
          do i=1,len
-          if (qnk(i).gt.ridicule) THEN
+          IF (qnk(i).gt.ridicule) THEN
            CALL iso_verif_aberrant(xt_k(iso_hdo,i)/qnk(i), &
                   'cv30_routines 576')
@@ -649,5 +649,5 @@
             WRITE(*,*) 'cv30_routine undilute 1 598: apres condiso'
           
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
             do i=1,len
               CALL iso_verif_egalite_choix(xtclw(iso_eau,i,icbs(i)), &
@@ -785,5 +785,5 @@
 #ifdef ISOVERIF 
         WRITE(*,*) 'cv30_routines 739: avant condiso'
-        if (iso_HDO.gt.0) THEN
+        IF (iso_HDO.gt.0) THEN
          do i=1,len
            CALL iso_verif_aberrant(xt_k(iso_hdo,i)/qnk(i), &
@@ -815,5 +815,5 @@
 !WRITE(*,*) 'DEBUG ISO B'
           do i=1,len
-            if (iso_eau.gt.0) THEN
+            IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(xtclw(iso_eau,i,icb(i)+1), &
                  clw(i,icb(i)+1),'cv30_routines 708',errmax,errmaxrel)
@@ -897,5 +897,5 @@
   ! oct3       ath  = th(i,icb(i)-1) - dttrig
   ! oct3
-  ! oct3       if (tdif.lt.dtcrit .or. ath.gt.ath1) THEN
+  ! oct3       if (tdif.lt.dtcrit .OR. ath.gt.ath1) THEN
   ! oct3         do 60 k=1,nl
   ! oct3            sig(i,k) = beta*sig(i,k) - 2.*alpha*tdif*tdif
@@ -947,8 +947,8 @@
   USE lmdz_print_control, ONLY: lunout
 #ifdef ISO
-    use infotrac_phy, ONLY: ntraciso=>ntiso
-    use isotopes_mod, ONLY: essai_convergence, iso_eau,iso_HDO
-#ifdef ISOVERIF
-    use isotopes_verif_mod, ONLY: errmax,errmaxrel,Tmin_verif, &
+    USE infotrac_phy, ONLY: ntraciso=>ntiso
+    USE isotopes_mod, ONLY: essai_convergence, iso_eau,iso_HDO
+#ifdef ISOVERIF
+    USE isotopes_verif_mod, ONLY: errmax,errmaxrel,Tmin_verif, &
         iso_verif_egalite_choix, iso_verif_noNaN,iso_verif_aberrant, &
         iso_verif_egalite,iso_verif_egalite_choix_nostop,iso_verif_positif_nostop, &
@@ -975,6 +975,6 @@
 #ifdef ISO
       !integer niso
-      real xt1(ntraciso,len,nd), xtclw1(ntraciso,len,nd)
-      real xtnk1(ntraciso,len)
+      REAL xt1(ntraciso,len,nd), xtclw1(ntraciso,len,nd)
+      REAL xtnk1(ntraciso,len)
 #endif
 
@@ -992,6 +992,6 @@
   REAL tra(nloc, nd, ntra)
 #ifdef ISO
-      real xt(ntraciso,nloc,nd), xtclw(ntraciso,nloc,nd)
-      real xtnk(ntraciso,nloc)
+      REAL xt(ntraciso,nloc,nd), xtclw(ntraciso,nloc,nd)
+      REAL xtnk(ntraciso,nloc)
 #endif
 
@@ -999,5 +999,5 @@
   INTEGER i, k, nn, j
 #ifdef ISO
-      integer ixt
+      INTEGER ixt
 #endif
 
@@ -1009,5 +1009,5 @@
         do k=1,nd
           do i=1,nloc
-            if (essai_convergence) THEN
+            IF (essai_convergence) THEN
             else
               q(i,k)=0.0
@@ -1063,8 +1063,8 @@
   ! nn=0
   ! do 101 i=1,len
-  ! IF(iflag1(i).eq.0)THEN
+  ! IF(iflag1(i).EQ.0)THEN
   ! nn=nn+1
   ! tra(nn,k,j)=tra1(i,k,j)
-  ! endif
+  ! END IF
   ! 101  continue
   ! 111  continue
@@ -1101,5 +1101,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-       if (iso_eau.gt.0) THEN
+       IF (iso_eau.gt.0) THEN
         do k = 1, nd
          do i = 1, nloc  
@@ -1133,5 +1133,5 @@
     ! epmax_cape: ajout arguments
 #ifdef ISO
-use infotrac_phy, ONLY: ntraciso=>ntiso
+USE infotrac_phy, ONLY: ntraciso=>ntiso
 USE isotopes_mod, ONLY: pxtmelt,pxtice,pxtmin,pxtmax,cond_temp_env, iso_eau,iso_HDO
 USE isotopes_routines_mod, ONLY: condiso_liq_ice_vectall
@@ -1143,5 +1143,5 @@
 #endif
 #ifdef ISOVERIF
-    use isotopes_verif_mod, ONLY: errmax,errmaxrel,Tmin_verif,Tmax_verif, &
+    USE isotopes_verif_mod, ONLY: errmax,errmaxrel,Tmin_verif,Tmax_verif, &
         iso_verif_egalite_choix, iso_verif_noNaN,iso_verif_aberrant, &
         iso_verif_egalite,iso_verif_egalite_choix_nostop,iso_verif_positif_nostop, &
@@ -1197,13 +1197,13 @@
 
 #ifdef ISO
-      real xt(ntraciso,nloc,nd), xtclw(ntraciso,nloc,nd)
-      real xtnk(ntraciso,nloc)
+      REAL xt(ntraciso,nloc,nd), xtclw(ntraciso,nloc,nd)
+      REAL xtnk(ntraciso,nloc)
 !      real xtep(ntraciso,nloc,nd) ! le 7 mai: on supprime xtep, car pas besoin
 !      la chute de precip ne fractionne pas.
-      integer ixt
-      real zfice(nloc),zxtliq(ntraciso,nloc),zxtice(ntraciso,nloc)
-      real clw_k(nloc),tg_k(nloc)
+      INTEGER ixt
+      REAL zfice(nloc),zxtliq(ntraciso,nloc),zxtice(ntraciso,nloc)
+      REAL clw_k(nloc),tg_k(nloc)
 #ifdef ISOVERIF      
-      real qg_save(nloc,nd) ! inout
+      REAL qg_save(nloc,nd) ! inout
       !integer iso_verif_positif_nostop
 #endif      
@@ -1327,5 +1327,5 @@
 #ifdef ISOVERIF
         !WRITE(*,*) 'cv30_routine 1259: avant condiso'
-        if (iso_HDO.gt.0) THEN
+        IF (iso_HDO.gt.0) THEN
          do i=1,ncum
            CALL iso_verif_aberrant(xtnk(iso_hdo,i)/qnk(i), &
@@ -1333,5 +1333,5 @@
          enddo        
         endif !if (iso_HDO.gt.0) THEN
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
          do i=1,ncum
            CALL iso_verif_egalite(xtnk(iso_eau,i),qnk(i), &
@@ -1340,10 +1340,10 @@
         endif !if (iso_HDO.gt.0) THEN
         do i=1,ncum
-         if ((iso_verif_positif_nostop(qnk(i)-clw_k(i), &
-             'cv30_routines 1275').eq.1).or. &
+         IF ((iso_verif_positif_nostop(qnk(i)-clw_k(i), &
+             'cv30_routines 1275').EQ.1).OR. &
              (iso_verif_positif_nostop(tg_k(i)-Tmin_verif, &
-             'cv30_routines 1297a').eq.1).or.  &
+             'cv30_routines 1297a').EQ.1).OR.  &
              (iso_verif_positif_nostop(Tmax_verif-tg_k(i), &
-             'cv30_routines 1297b').eq.1)) THEN
+             'cv30_routines 1297b').EQ.1)) THEN
           WRITE(*,*) 'i,k,qnk,clw_k=',i,k,qnk(i),clw_k(i)
           WRITE(*,*) 'tg,t,qg=',tg_k(i),t(i,k),qg_save(i,k)
@@ -1376,5 +1376,5 @@
         enddo !do i=1,ncum
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
           do i=1,ncum        
            CALL iso_verif_egalite_choix(xtclw(iso_eau,i,k), &
@@ -1516,6 +1516,6 @@
   ! inb(i)=k+1
   ! capem(i)=cape(i)
-  ! endif
-  ! endif
+  ! END IF
+  ! END IF
   ! 520    continue
   ! 530  continue
@@ -1543,6 +1543,6 @@
   ! capem(i)=cape(i)
   ! byp(i)=(tvp(i,k+1)-tv(i,k+1))*dph(i,k+1)/p(i,k+1)
-  ! endif
-  ! endif
+  ! END IF
+  ! END IF
   ! 520    continue
   ! 530  continue
@@ -1566,5 +1566,5 @@
   ! ori        do 520 i=1,ncum
   ! ori          IF(cape(i).lt.0.0)lcape(i)=.FALSE.
-  ! ori          if((k.ge.(icb(i)+1)).and.lcape(i))THEN
+  ! ori          if((k.ge.(icb(i)+1)).AND.lcape(i))THEN
   ! ori            by=(tvp(i,k)-tv(i,k))*dph(i,k)/p(i,k)
   ! ori            byp(i)=(tvp(i,k+1)-tv(i,k+1))*dph(i,k+1)/p(i,k+1)
@@ -1828,10 +1828,10 @@
 
 #ifdef ISO
-use infotrac_phy, ONLY: ntraciso=>ntiso,niso,itZonIso
+USE infotrac_phy, ONLY: ntraciso=>ntiso,niso,itZonIso
 USE isotopes_mod, ONLY: pxtmelt,pxtice,pxtmin,pxtmax, iso_eau,iso_HDO, &
         ridicule
 USE isotopes_routines_mod, ONLY: condiso_liq_ice_vectall
 #ifdef ISOVERIF
-    use isotopes_verif_mod, ONLY: errmax,errmaxrel,Tmin_verif,deltalim, &
+    USE isotopes_verif_mod, ONLY: errmax,errmaxrel,Tmin_verif,deltalim, &
         iso_verif_egalite_choix,iso_verif_aberrant_choix, iso_verif_noNaN, &
         iso_verif_aberrant, &
@@ -1841,10 +1841,10 @@
 #endif
 #ifdef ISOTRAC
-    use isotrac_mod, ONLY: option_tmin,option_traceurs,seuil_tag_tmin, &
+    USE isotrac_mod, ONLY: option_tmin,option_traceurs,seuil_tag_tmin, &
 &       option_cond,index_zone,izone_cond,index_iso
-    use isotrac_routines_mod, ONLY: iso_recolorise_condensation
-    use isotopes_routines_mod, ONLY: condiso_liq_ice_vectall_trac
-#ifdef ISOVERIF
-    use isotopes_verif_mod, ONLY: iso_verif_trac17_q_deltad,iso_verif_traceur, &
+    USE isotrac_routines_mod, ONLY: iso_recolorise_condensation
+    USE isotopes_routines_mod, ONLY: condiso_liq_ice_vectall_trac
+#ifdef ISOVERIF
+    USE isotopes_verif_mod, ONLY: iso_verif_trac17_q_deltad,iso_verif_traceur, &
 &       iso_verif_traceur_justmass
 #endif
@@ -1875,7 +1875,7 @@
   REAL m(nloc, na) ! input of convect3
 #ifdef ISO
-      real xt(ntraciso,nloc,na), xtclw(ntraciso,nloc,na)
-      real tg_save(nloc,nd)
-      real xtnk(ntraciso,nloc)
+      REAL xt(ntraciso,nloc,na), xtclw(ntraciso,nloc,na)
+      REAL tg_save(nloc,nd)
+      REAL xtnk(ntraciso,nloc)
 !      real xtep(ntraciso,nloc,na)
 #endif
@@ -1889,6 +1889,6 @@
   REAL sigij(nloc, nd, nd)
 #ifdef ISO
-      real xtent(ntraciso,nloc,nd,nd)
-      real xtelij(ntraciso,nloc,nd,nd)      
+      REAL xtent(ntraciso,nloc,nd,nd)
+      REAL xtelij(ntraciso,nloc,nd,nd)
 #endif
 
@@ -1905,12 +1905,12 @@
   LOGICAL lwork(nloc)
 #ifdef ISO
-      integer ixt
-      real xtrti(ntraciso,nloc)
-      real xtres(ntraciso)
+      INTEGER ixt
+      REAL xtrti(ntraciso,nloc)
+      REAL xtres(ntraciso)
       ! on ajoute la dimension nloc a xtrti pour verifs dans les tags: 5 fev
       ! 2010
-      real zfice(nloc),zxtliq(ntraciso,nloc),zxtice(ntraciso,nloc)
+      REAL zfice(nloc),zxtliq(ntraciso,nloc),zxtice(ntraciso,nloc)
 !      real xt_reduit(ntraciso)
-!      logical negation
+!      LOGICAL negation
 !#ifdef ISOVERIF
 !       integer iso_verif_positif_nostop
@@ -1924,5 +1924,5 @@
 #ifdef ISOVERIF
       WRITE(*,*) 'cv30_routines 1820: entree dans cv3_mixing'
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
       CALL iso_verif_egalite_vect2D( &
                  xtclw,clw, &
@@ -2051,11 +2051,11 @@
          zfice(il) = 1.0-(t(il,j)-pxtice)/(pxtmelt-pxtice)
          zfice(il) = MIN(MAX(zfice(il),0.0),1.0)        
-         IF( (i.ge.icb(il)).and.(i.le.inb(il)).and. &
-            (j.ge.(icb(il)-1)).and.(j.le.inb(il)))THEN
+         IF( (i.ge.icb(il)).AND.(i.le.inb(il)).AND. &
+            (j.ge.(icb(il)-1)).AND.(j.le.inb(il)))THEN
           do ixt=1,ntraciso
 !           xtrti(ixt)=xt(ixt,il,1)-xtep(ixt,il,i)*xtclw(ixt,il,i) ! le 7 mai: on supprime xtep
            xtrti(ixt,il)=xt(ixt,il,1)-ep(il,i)*xtclw(ixt,il,i)      
           enddo
-          IF(sij(il,i,j).gt.0.0.and.sij(il,i,j).lt.0.95)THEN
+          IF(sij(il,i,j).gt.0.0.AND.sij(il,i,j).lt.0.95)THEN
 ! temperature of condensation (within mixtures):
 !          tcond(il)=t(il,j)  
@@ -2069,6 +2069,6 @@
                              +(1.-sij(il,i,j))*xtrti(ixt,il)
           enddo !do ixt = 1, ntraciso
-         endif  !IF(sij(il,i,j).gt.0.0.and.sij(il,i,j).lt.0.95)THEN
-        endif !IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
+         endif  !IF(sij(il,i,j).gt.0.0.AND.sij(il,i,j).lt.0.95)THEN
+        endif !IF( (i.ge.icb(il)).AND.(i.le.inb(il)).AND.
        enddo  !do il=1,ncum 
 
@@ -2083,8 +2083,8 @@
         do il=1,ncum
           CALL iso_verif_traceur(xt(1,il,i),'cv30_routines 1967')
-          IF( (i.ge.icb(il)).and.(i.le.inb(il)).and. &
-            (j.ge.(icb(il)-1)).and.(j.le.inb(il)))THEN
+          IF( (i.ge.icb(il)).AND.(i.le.inb(il)).AND. &
+            (j.ge.(icb(il)-1)).AND.(j.le.inb(il)))THEN
           CALL iso_verif_traceur(xtrti(1,il),'cv30_routines 1968')
-          endif !IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
+          endif !IF( (i.ge.icb(il)).AND.(i.le.inb(il)).AND.
           CALL iso_verif_traceur(xtent(1,il,i,j),'cv30_routines 1969')
           
@@ -2099,7 +2099,7 @@
 
 #ifdef ISOVERIF
-        if ((j.eq.15).and.(i.eq.15)) THEN
+        IF ((j.EQ.15).AND.(i.EQ.15)) THEN
         il=2722
-        if (il.le.ncum) THEN
+        IF (il.le.ncum) THEN
                 WRITE(*,*) 'cv30_routines tmp 2194, il,i,j=',il,i,j
                 WRITE(*,*) 'qent,elij=',qent(il,i,j),elij(il,i,j)
@@ -2116,5 +2116,5 @@
 !        WRITE(*,*) 'cv30_routines tmp 1987,option_traceurs=',
 !     :           option_traceurs
-        if (option_tmin.ge.1) THEN
+        IF (option_tmin.ge.1) THEN
         do il=1,ncum    
 !        WRITE(*,*) 'cv3 tmp 1991 il,i,j,xtent(:,il,i,j),',
@@ -2123,16 +2123,16 @@
         ! colorier la vapeur residuelle selon temperature de
         ! condensation, et le condensat en un tag spEcifique
-          if ((elij(il,i,j).gt.0.0).and.(qent(il,i,j).gt.0.0)) THEN
-            if (option_traceurs.eq.17) THEN
+          IF ((elij(il,i,j).gt.0.0).AND.(qent(il,i,j).gt.0.0)) THEN
+            IF (option_traceurs.EQ.17) THEN
              CALL iso_recolorise_condensation(qent(il,i,j),elij(il,i,j), &
                  xtent(1,il,i,j),xtelij(1,il,i,j),t(1,j), &
                  0.0,xtres, &
                  seuil_tag_tmin)
-            else !if (option_traceurs.eq.17) THEN
+            else !if (option_traceurs.EQ.17) THEN
 !             WRITE(*,*) 'cv3 2002: il,i,j  =',il,i,j
              CALL iso_recolorise_condensation(qent(il,i,j),elij(il,i,j), &
                  xtent(1,il,i,j),xtelij(1,il,i,j),rs(il,j),0.0,xtres, &
                  seuil_tag_tmin)
-            endif !if (option_traceurs.eq.17) THEN
+            endif !if (option_traceurs.EQ.17) THEN
             do ixt=1+niso,ntraciso
                xtent(ixt,il,i,j)=xtres(ixt)
@@ -2155,8 +2155,8 @@
 !        WRITE(*,*) 'cv30_routines 2050: avant condiso'
         do il=1,ncum
-        if ((i.ge.icb(il)).and.(i.le.inb(il)).and. &
-            (j.ge.(icb(il)-1)).and.(j.le.inb(il))) THEN
-        if (sij(il,i,j).gt.0.0.and.sij(il,i,j).lt.0.95) THEN
-        if (iso_eau.gt.0) THEN
+        IF ((i.ge.icb(il)).AND.(i.le.inb(il)).AND. &
+            (j.ge.(icb(il)-1)).AND.(j.le.inb(il))) THEN
+        IF (sij(il,i,j).gt.0.0.AND.sij(il,i,j).lt.0.95) THEN
+        IF (iso_eau.gt.0) THEN
           CALL iso_verif_egalite_choix(xtent(iso_eau,il,i,j), &
               qent(il,i,j),'cv30_routines 1889',errmax,errmaxrel)
@@ -2164,5 +2164,5 @@
               elij(il,i,j),'cv30_routines 1890',errmax,errmaxrel)
         endif
-        if (iso_HDO.gt.0) THEN
+        IF (iso_HDO.gt.0) THEN
           CALL iso_verif_aberrant_choix(xt(iso_HDO,il,i),rr(il,i), &
                   ridicule,deltalim,'cv30_routines 1997')
@@ -2182,6 +2182,6 @@
 #endif        
 
-        endif !IF(sij(il,i,j).gt.0.0.and.sij(il,i,j).lt.0.95)THEN
-        endif !IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
+        endif !IF(sij(il,i,j).gt.0.0.AND.sij(il,i,j).lt.0.95)THEN
+        endif !IF( (i.ge.icb(il)).AND.(i.le.inb(il)).AND.
         enddo !do il=1,ncum
 #endif
@@ -2196,9 +2196,9 @@
     ! do j=minorig,nl
     ! do il=1,ncum
-    ! IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
-    ! :       (j.ge.(icb(il)-1)).and.(j.le.inb(il)))THEN
+    ! IF( (i.ge.icb(il)).AND.(i.le.inb(il)).AND.
+    ! :       (j.ge.(icb(il)-1)).AND.(j.le.inb(il)))THEN
     ! traent(il,i,j,k)=sij(il,i,j)*tra(il,i,k)
     ! :            +(1.-sij(il,i,j))*tra(il,nk(il),k)
-    ! endif
+    ! END IF
     ! enddo
     ! enddo
@@ -2216,5 +2216,5 @@
     DO il = 1, ncum
       IF ((i>=icb(il)) .AND. (i<=inb(il)) .AND. (nent(il,i)==0)) THEN
-        ! @      IF(nent(il,i).eq.0)THEN
+        ! @      IF(nent(il,i).EQ.0)THEN
         ment(il, i, i) = m(il, i)
         qent(il, i, i) = rr(il, nk(il)) - ep(il, i)*clw(il, i)
@@ -2233,5 +2233,5 @@
 
 #ifdef ISOVERIF
-       if (iso_eau.gt.0) THEN
+       IF (iso_eau.gt.0) THEN
          CALL iso_verif_egalite_choix(xtelij(iso_eau,il,i,i), &
                elij(il,i,i),'cv30_mixing 2117',errmax,errmaxrel)
@@ -2240,11 +2240,11 @@
 
 #ifdef ISOTRAC          
-        if (option_tmin.ge.1) THEN
+        IF (option_tmin.ge.1) THEN
         ! colorier la vapeur residuelle selon temperature de
         ! condensation, et le condensat en un tag specifique
 !        WRITE(*,*) 'cv3 tmp 2095 il,i,j,xtent(:,il,i,j)=',
 !     :            il,i,j,xtent(:,il,i,j)
-          if ((elij(il,i,i).gt.0.0).and.(qent(il,i,i).gt.0.0)) THEN
-            if (option_traceurs.eq.17) THEN
+          IF ((elij(il,i,i).gt.0.0).AND.(qent(il,i,i).gt.0.0)) THEN
+            IF (option_traceurs.EQ.17) THEN
              CALL iso_recolorise_condensation(qent(il,i,i), &
                  elij(il,i,i), &
@@ -2252,5 +2252,5 @@
                  xtres, &
                  seuil_tag_tmin)
-            else !if (option_traceurs.eq.17) THEN
+            else !if (option_traceurs.EQ.17) THEN
              CALL iso_recolorise_condensation(qent(il,i,i), &
                  elij(il,i,i), &
@@ -2258,5 +2258,5 @@
                  xtres, &
                  seuil_tag_tmin)
-            endif !if (option_traceurs.eq.17) THEN
+            endif !if (option_traceurs.EQ.17) THEN
             do ixt=1+niso,ntraciso
               xtent(ixt,il,i,i)=xtres(ixt)
@@ -2288,7 +2288,7 @@
   ! do i=minorig+1,nl
   ! do il=1,ncum
-  ! if (i.ge.icb(il) .and. i.le.inb(il) .and. nent(il,i).eq.0) THEN
+  ! if (i.ge.icb(il) .AND. i.le.inb(il) .AND. nent(il,i).EQ.0) THEN
   ! traent(il,i,i,j)=tra(il,nk(il),j)
-  ! endif
+  ! END IF
   ! enddo
   ! enddo
@@ -2466,5 +2466,5 @@
 
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_choix(xtelij(iso_eau,il,i,i), &
                elij(il,i,i),'cv30_mixing 2354',errmax,errmaxrel)
@@ -2473,11 +2473,11 @@
 
 #ifdef ISOTRAC          
-        if (option_tmin.ge.1) THEN
+        IF (option_tmin.ge.1) THEN
         ! colorier la vapeur residuelle selon temperature de
         ! condensation, et le condensat en un tag specifique
 !        WRITE(*,*) 'cv3 tmp 2314 il,i,j,xtent(:,il,i,j)=',
 !     :            il,i,j,xtent(:,il,i,j)
-          if ((elij(il,i,i).gt.0.0).and.(qent(il,i,i).gt.0.0)) THEN
-            if (option_traceurs.eq.17) THEN
+          IF ((elij(il,i,i).gt.0.0).AND.(qent(il,i,i).gt.0.0)) THEN
+            IF (option_traceurs.EQ.17) THEN
               CALL iso_recolorise_condensation(qent(il,i,i), &
                  elij(il,i,i), &
@@ -2485,5 +2485,5 @@
                  xtres, &
                  seuil_tag_tmin)
-            else !if (option_traceurs.eq.17) THEN
+            else !if (option_traceurs.EQ.17) THEN
               CALL iso_recolorise_condensation(qent(il,i,i), &
                  elij(il,i,i), &
@@ -2491,5 +2491,5 @@
                  xtres, &
                  seuil_tag_tmin)
-            endif ! if (option_traceurs.eq.17) THEN
+            endif ! if (option_traceurs.EQ.17) THEN
             do ixt=1+niso,ntraciso
               xtent(ixt,il,i,i)=xtres(ixt)
@@ -2517,8 +2517,8 @@
     ! do j=1,ntra
     ! do il=1,ncum
-    ! if ( i.ge.icb(il) .and. i.le.inb(il) .and. lwork(il)
-    ! :     .and. csum(il,i).lt.m(il,i) ) THEN
+    ! if ( i.ge.icb(il) .AND. i.le.inb(il) .AND. lwork(il)
+    ! :     .AND. csum(il,i).lt.m(il,i) ) THEN
     ! traent(il,i,i,j)=tra(il,nk(il),j)
-    ! endif
+    ! END IF
     ! enddo
     ! enddo
@@ -2560,5 +2560,5 @@
        do jm = 1, nd
         do il = 1, ncum
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xtelij(iso_eau,il,im,jm), &
                elij(il,im,jm),'cv30_mixing 2110',errmax,errmaxrel)
@@ -2579,5 +2579,5 @@
 #ifdef ISOTRAC
         ! seulement a la fin on taggue le condensat
-        if (option_cond.ge.1) THEN
+        IF (option_cond.ge.1) THEN
          do im = 1, nd
          do jm = 1, nd
@@ -2585,9 +2585,9 @@
            ! colorier le condensat en un tag specifique
            do ixt=niso+1,ntraciso
-             if (index_zone(ixt).eq.izone_cond) THEN
+             IF (index_zone(ixt).EQ.izone_cond) THEN
                 xtelij(ixt,il,im,jm)=xtelij(index_iso(ixt),il,im,jm)
-             else !if (index_zone(ixt).eq.izone_cond) THEN
+             else !if (index_zone(ixt).EQ.izone_cond) THEN
                 xtelij(ixt,il,im,jm)=0.0
-             endif !if (index_zone(ixt).eq.izone_cond) THEN
+             endif !if (index_zone(ixt).EQ.izone_cond) THEN
            enddo !do ixt=1,ntraciso      
 #ifdef ISOVERIF
@@ -2604,9 +2604,9 @@
            ! colorier le condensat en un tag specifique
            do ixt=niso+1,ntraciso
-             if (index_zone(ixt).eq.izone_cond) THEN
+             IF (index_zone(ixt).EQ.izone_cond) THEN
                 xtclw(ixt,il,im)=xtclw(index_iso(ixt),il,im)
-             else !if (index_zone(ixt).eq.izone_cond) THEN
+             else !if (index_zone(ixt).EQ.izone_cond) THEN
                 xtclw(ixt,il,im)=0.0
-             endif !if (index_zone(ixt).eq.izone_cond) THEN
+             endif !if (index_zone(ixt).EQ.izone_cond) THEN
            enddo !do ixt=1,ntraciso      
 #ifdef ISOVERIF
@@ -2615,7 +2615,7 @@
         CALL iso_verif_traceur(xtclw(1,il,im), &
                 'condiso_liq_ice_vectiso_trac 358')
-        if (iso_verif_positif_nostop(xtclw(itZonIso( &
+        IF (iso_verif_positif_nostop(xtclw(itZonIso( &
                  izone_cond,iso_eau),i,k)-xtclw(iso_eau,i,k) &
-                 ,'cv30_routines 909').eq.1) THEN
+                 ,'cv30_routines 909').EQ.1) THEN
                WRITE(*,*) 'i,k=',i,k
                WRITE(*,*) 'xtclw=',xtclw(:,i,k)
@@ -2628,5 +2628,5 @@
          enddo !do im = 1, nd
 !         WRITE(*,*) 'xtclw(:,1,2)=',xtclw(:,1,2)
-        endif !if (option_tmin.eq.1) THEN
+        endif !if (option_tmin.EQ.1) THEN
 #endif
 #endif
@@ -2646,9 +2646,9 @@
                 )
 #ifdef ISO
-    use infotrac_phy, ONLY: ntraciso=>ntiso, niso
-    use isotopes_mod, ONLY: essai_convergence, iso_eau,iso_HDO,ridicule
-    use isotopes_routines_mod, ONLY: appel_stewart_vectall,appel_stewart_debug
-#ifdef ISOVERIF
-    use isotopes_verif_mod, ONLY: errmax,errmaxrel, &
+    USE infotrac_phy, ONLY: ntraciso=>ntiso, niso
+    USE isotopes_mod, ONLY: essai_convergence, iso_eau,iso_HDO,ridicule
+    USE isotopes_routines_mod, ONLY: appel_stewart_vectall,appel_stewart_debug
+#ifdef ISOVERIF
+    USE isotopes_verif_mod, ONLY: errmax,errmaxrel, &
         iso_verif_egalite_choix, iso_verif_noNaN,iso_verif_aberrant, &
         iso_verif_egalite,iso_verif_egalite_choix_nostop,iso_verif_positif_nostop, &
@@ -2657,10 +2657,10 @@
 #endif
 #ifdef ISOTRAC
-    use isotrac_mod, ONLY: option_cond,izone_cond
-    use infotrac_phy, ONLY: itZonIso
-#ifdef ISOVERIF
-    use isotopes_verif_mod, ONLY: iso_verif_traceur_justmass, &
+    USE isotrac_mod, ONLY: option_cond,izone_cond
+    USE infotrac_phy, ONLY: itZonIso
+#ifdef ISOVERIF
+    USE isotopes_verif_mod, ONLY: iso_verif_traceur_justmass, &
 &       iso_verif_traceur
-    use isotrac_routines_mod, ONLY: iso_verif_traceur_pbidouille
+    USE isotrac_routines_mod, ONLY: iso_verif_traceur_pbidouille
 #endif
 #endif
@@ -2687,6 +2687,6 @@
   REAL m(nloc, na), ment(nloc, na, na), elij(nloc, na, na)
 #ifdef ISO
-      real xt(ntraciso,nloc,nd), xtclw(ntraciso,nloc,na)
-      real xtelij(ntraciso,nloc,na,na)
+      REAL xt(ntraciso,nloc,nd), xtclw(ntraciso,nloc,na)
+      REAL xtelij(ntraciso,nloc,na,na)
 !      real xtep(ntraciso,nloc,na) ! le 7 mai: on supprime xtep
 #endif
@@ -2704,7 +2704,7 @@
 
 #ifdef ISO
-      real xtp(ntraciso,nloc,na)
-      real xtwater(ntraciso,nloc,na), xtevap(ntraciso,nloc,na)
-      real xtwdtraina(ntraciso,nloc,na)
+      REAL xtp(ntraciso,nloc,na)
+      REAL xtwater(ntraciso,nloc,na), xtevap(ntraciso,nloc,na)
+      REAL xtwdtraina(ntraciso,nloc,na)
 #endif
 
@@ -2721,9 +2721,9 @@
 
 #ifdef ISO
-      integer ixt
-      real xtawat(ntraciso)
+      INTEGER ixt
+      REAL xtawat(ntraciso)
   REAL xtwdtrain(ntraciso,nloc)
-!      logical negation
-      real rpprec(nloc,na)
+!      LOGICAL negation
+      REAL rpprec(nloc,na)
 !#ifdef ISOVERIF
 !      integer iso_verif_aberrant_nostop
@@ -2852,5 +2852,5 @@
 !--debug:
 #ifdef ISOVERIF
-            if (iso_eau.gt.0) THEN
+            IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(xtwdtrain(iso_eau,il), &
                  wdtrain(il),'cv30_routines 2313',errmax,errmaxrel)
@@ -2886,5 +2886,5 @@
 #ifdef ISO
 ! precip mixed drafts computed from: xtawat/xtelij = awat/elij           
-            if (elij(il,j,i).ne.0.0) THEN
+            IF (elij(il,j,i).NE.0.0) THEN
              do ixt=1,ntraciso
                xtawat(ixt)=xtelij(ixt,il,j,i)*(awat/elij(il,j,i))
@@ -2899,5 +2899,5 @@
 
 #ifdef ISOVERIF
-              if (iso_eau.gt.0) THEN
+              IF (iso_eau.gt.0) THEN
                   CALL iso_verif_egalite_choix(xtawat(iso_eau), &
                  awat,'cv30_routines 2391',errmax,errmaxrel)
@@ -2928,5 +2928,5 @@
 !--debug:
 #ifdef ISOVERIF
-              if (iso_eau.gt.0) THEN
+              IF (iso_eau.gt.0) THEN
                   CALL iso_verif_egalite_choix(xtwdtrain(iso_eau,il), &
                  wdtrain(il),'cv30_routines 2366',errmax,errmaxrel)
@@ -2934,10 +2934,10 @@
 #ifdef ISOTRAC
         CALL iso_verif_traceur(xtwdtrain(1,il),'cv30_routine 2540')
-        if (option_cond.ge.1) THEN
+        IF (option_cond.ge.1) THEN
            ! on verifie que tout le detrainement est tagge condensat
-           if (iso_verif_positif_nostop( &
+           IF (iso_verif_positif_nostop( &
                 xtwdtrain(itZonIso(izone_cond,iso_eau),il) &
                 -xtwdtrain(iso_eau,il), &
-                'cv30_routines 2795').eq.1) THEN
+                'cv30_routines 2795').EQ.1) THEN
           WRITE(*,*) 'xtwdtrain(:,il)=',xtwdtrain(:,il)
           WRITE(*,*) 'xtelij(:,il,j,i)=',xtelij(:,il,j,i)
@@ -3121,5 +3121,5 @@
           END IF
 
-        END IF ! i.eq.1
+        END IF ! i.EQ.1
 
         ! ***       find mixing ratio of precipitating downdraft     ***
@@ -3191,6 +3191,6 @@
 !        WRITE(*,*) 'cv30_routines 2842 tmp: appel de appel_stewart'
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) THEN
-         if (iso_eau.gt.0) THEN
+       IF (i.le.inb(il) .AND. lwork(il)) THEN
+         IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xt(iso_eau,il,i), &
               rr(il,i),'appel_stewart 262, cas 1.1',errmax,errmaxrel)
@@ -3208,5 +3208,5 @@
 #endif
 
-        if (1.eq.0) THEN
+        IF (1.EQ.0) THEN
         ! appel de appel_stewart_vectorise
         CALL appel_stewart_vectall(lwork,ncum, &
@@ -3220,5 +3220,5 @@
                 na,nd,nloc,cvflag_grav,ginv,1e-16)
 
-        else !if (1.eq.0) THEN
+        else !if (1.EQ.0) THEN
           ! truc simple sans fractionnement
           ! juste pour debuggage
@@ -3226,10 +3226,10 @@
                 evap,water,rpprec,rr,wdtrain, &
                 xtevap,xtwater,xtp,xt,xtwdtrain)
-        endif ! if (1.eq.0) THEN
+        endif ! if (1.EQ.0) THEN
 #ifdef ISOVERIF
 !        WRITE(*,*) 'cv30_routines 2864 tmp: sortie de appel_stewart'
 ! verif des outputs de appel stewart
        do il=1,ncum
-        if (i.le.inb(il) .and. lwork(il)) THEN
+        IF (i.le.inb(il) .AND. lwork(il)) THEN
          do ixt=1,ntraciso        
           CALL iso_verif_noNAN(xtp(ixt,il,i),'cv30_unsat 3382')
@@ -3237,5 +3237,5 @@
           CALL iso_verif_noNAN(xtevap(ixt,il,i),'cv30_unsat 2661')
          enddo  
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
           CALL iso_verif_egalite_choix(xtp(iso_eau,il,i), &
                  rpprec(il,i),'cv30_unsat 2736',errmax,errmaxrel)
@@ -3247,11 +3247,11 @@
                  evap(il,i),'cv30_unsat 2751',errmax,errmaxrel)
          endif !if (iso_eau.gt.0) THEN
-         if ((iso_HDO.gt.0).and. &
+         IF ((iso_HDO.gt.0).AND. &
                  (rp(il,i).gt.ridicule)) THEN
            CALL iso_verif_aberrant(xtp(iso_HDO,il,i)/rpprec(il,i), &
                         'cv3unsat 2756')
-           endif !if ((iso_HDO.gt.0).and.
+           endif !if ((iso_HDO.gt.0).AND.
 #ifdef ISOTRAC
-!        if (il.eq.602) THEN
+!        if (il.EQ.602) THEN
 !        WRITE(*,*) 'cv30_routine tmp: il,i=',il,i
 !        WRITE(*,*) 'xtp(iso_eau:ntraciso:3,il,i)=',
@@ -3272,5 +3272,5 @@
 !        endif !if (option_tmin.ge.1) THEN
 #endif              
-        endif !if (i.le.inb(il) .and. lwork(il)) THEN
+        endif !if (i.le.inb(il) .AND. lwork(il)) THEN
        enddo !do il=1,ncum
 #endif
@@ -3278,7 +3278,7 @@
 ! equivalent isotopique de rp(il,i)=amin1(rp(il,i),rs(il,i))
        do il=1,ncum
-        if (i.lt.inb(il) .and. lwork(il)) THEN
-         if (rpprec(il,i).gt.rs(il,i)) THEN
-            if (rs(il,i).le.0) THEN
+        IF (i.lt.inb(il) .AND. lwork(il)) THEN
+         IF (rpprec(il,i).gt.rs(il,i)) THEN
+            IF (rs(il,i).le.0) THEN
                 WRITE(*,*) 'cv3unsat 2640'
                 stop
